Author: Dave Jones <dave.jones@canonical.com>
Forwarded: no
Description: Prefer lgpio on Ubuntu
 The RPi.GPIO library uses the deprecated sysfs interface, while lgpio uses
 the kernel's preferred gpiochip device interface while still supporting all
 functionality supported by RPi.GPIO. It is the long term preferred option for
 GPIO support, but at present still lacks proper packaging on several distros.
 This patch should only be temporary, and can be removed once upstream
 switches to preferring lgpio (probably in 2.x)

--- a/gpiozero/devices.py
+++ b/gpiozero/devices.py
@@ -258,15 +258,15 @@
 
     @staticmethod
     def _default_pin_factory():
-        # We prefer RPi.GPIO here as it supports PWM, and all Pi revisions.  If
+        # We prefer lgpio here as it supports PWM, and all Pi revisions.  If
         # no third-party libraries are available, however, we fall back to a
         # pure Python implementation which supports platforms like PyPy
         #
         # NOTE: If the built-in pin factories are expanded, the dict must be
         # updated along with the entry-points in setup.py.
         default_factories = OrderedDict((
-            ('rpigpio', 'gpiozero.pins.rpigpio:RPiGPIOFactory'),
             ('lgpio',   'gpiozero.pins.lgpio:LGPIOFactory'),
+            ('rpigpio', 'gpiozero.pins.rpigpio:RPiGPIOFactory'),
             ('rpio',    'gpiozero.pins.rpio:RPIOFactory'),
             ('pigpio',  'gpiozero.pins.pigpio:PiGPIOFactory'),
             ('native',  'gpiozero.pins.native:NativeFactory'),
--- a/tests/test_devices.py
+++ b/tests/test_devices.py
@@ -45,8 +45,8 @@
                 device = GPIODevice(2)
             assert len(ws) == 5
             assert all(w.category == PinFactoryFallback for w in ws)
-            assert ws[0].message.args[0].startswith('Falling back from rpigpio:')
-            assert ws[1].message.args[0].startswith('Falling back from lgpio:')
+            assert ws[0].message.args[0].startswith('Falling back from lgpio:')
+            assert ws[1].message.args[0].startswith('Falling back from rpigpio:')
             assert ws[2].message.args[0].startswith('Falling back from rpio:')
             assert ws[3].message.args[0].startswith('Falling back from pigpio:')
             assert ws[4].message.args[0].startswith('Falling back from native:')
